Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1357556 - [abrt] gnome-boxes: boxes_app_setup_default_source_co(): gnome-boxes killed by SIGABRT
Summary: [abrt] gnome-boxes: boxes_app_setup_default_source_co(): gnome-boxes killed b...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-boxes
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christophe Fergeau
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:283e06354d76740c224c6ce20a9...
: 1419031 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-18 13:42 UTC by Joachim Frieben
Modified: 2017-12-12 10:30 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:30:34 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-07-18 13:42 UTC, Joachim Frieben
no flags Details
File: cgroup (deleted)
2016-07-18 13:42 UTC, Joachim Frieben
no flags Details
File: core_backtrace (deleted)
2016-07-18 13:42 UTC, Joachim Frieben
no flags Details
File: dso_list (deleted)
2016-07-18 13:42 UTC, Joachim Frieben
no flags Details
File: environ (deleted)
2016-07-18 13:42 UTC, Joachim Frieben
no flags Details
File: limits (deleted)
2016-07-18 13:42 UTC, Joachim Frieben
no flags Details
File: maps (deleted)
2016-07-18 13:43 UTC, Joachim Frieben
no flags Details
File: mountinfo (deleted)
2016-07-18 13:43 UTC, Joachim Frieben
no flags Details
File: namespaces (deleted)
2016-07-18 13:43 UTC, Joachim Frieben
no flags Details
File: open_fds (deleted)
2016-07-18 13:43 UTC, Joachim Frieben
no flags Details
File: proc_pid_status (deleted)
2016-07-18 13:43 UTC, Joachim Frieben
no flags Details
File: var_log_messages (deleted)
2016-07-18 13:43 UTC, Joachim Frieben
no flags Details

Description Joachim Frieben 2016-07-18 13:42:40 UTC
Version-Release number of selected component:
gnome-boxes-3.21.3-1.fc25

Additional info:
reporter:       libreport-2.7.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-boxes --gapplication-service
crash_function: boxes_app_setup_default_source_co
executable:     /usr/bin/gnome-boxes
global_pid:     1964
kernel:         4.7.0-0.rc7.git2.2.fc25.x86_64
pkg_vendor:     Fedora Project
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 boxes_app_setup_default_source_co at /home/mcatanzaro/src/jhbuild/checkout/gnome-boxes/src/app.vala:433
 #5 g_simple_async_result_complete at gsimpleasyncresult.c:801
 #6 boxes_app_add_collection_source_co at /home/mcatanzaro/src/jhbuild/checkout/gnome-boxes/src/app.vala:354
 #7 g_simple_async_result_complete at gsimpleasyncresult.c:801
 #8 boxes_libvirt_broker_real_add_source_co at /home/mcatanzaro/src/jhbuild/checkout/gnome-boxes/src/libvirt-broker.vala:118
 #9 g_task_return_now at gtask.c:1121
 #10 complete_in_idle_cb at gtask.c:1135
 #15 g_main_context_iteration at gmain.c:3988
 #16 g_application_run at gapplication.c:2381
 #17 _vala_main at /home/mcatanzaro/src/jhbuild/checkout/gnome-boxes/src/main.vala:84

Potential duplicate: bug 1320317

Comment 1 Joachim Frieben 2016-07-18 13:42:48 UTC
Created attachment 1181083 [details]
File: backtrace

Comment 2 Joachim Frieben 2016-07-18 13:42:50 UTC
Created attachment 1181085 [details]
File: cgroup

Comment 3 Joachim Frieben 2016-07-18 13:42:52 UTC
Created attachment 1181087 [details]
File: core_backtrace

Comment 4 Joachim Frieben 2016-07-18 13:42:54 UTC
Created attachment 1181090 [details]
File: dso_list

Comment 5 Joachim Frieben 2016-07-18 13:42:56 UTC
Created attachment 1181091 [details]
File: environ

Comment 6 Joachim Frieben 2016-07-18 13:42:58 UTC
Created attachment 1181093 [details]
File: limits

Comment 7 Joachim Frieben 2016-07-18 13:43:01 UTC
Created attachment 1181096 [details]
File: maps

Comment 8 Joachim Frieben 2016-07-18 13:43:03 UTC
Created attachment 1181098 [details]
File: mountinfo

Comment 9 Joachim Frieben 2016-07-18 13:43:05 UTC
Created attachment 1181100 [details]
File: namespaces

Comment 10 Joachim Frieben 2016-07-18 13:43:06 UTC
Created attachment 1181102 [details]
File: open_fds

Comment 11 Joachim Frieben 2016-07-18 13:43:08 UTC
Created attachment 1181103 [details]
File: proc_pid_status

Comment 12 Joachim Frieben 2016-07-18 13:43:10 UTC
Created attachment 1181104 [details]
File: var_log_messages

Comment 13 Jan Kurik 2016-07-26 04:08:14 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 14 Tobias Schönberg 2016-12-01 21:30:23 UTC
Similar problem has been detected:

Just started gnome boxes

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-boxes --gapplication-service
crash_function: boxes_app_setup_default_source_co
executable:     /usr/bin/gnome-boxes
global_pid:     7241
kernel:         4.8.10-300.fc25.x86_64
package:        gnome-boxes-3.22.3-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         gnome-boxes killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Tobias Schönberg 2016-12-01 21:34:25 UTC
This is what I see when I launch from terminal:

(gnome-boxes:7671): Gtk-WARNING **: Theme parsing error: gtk-style.css:81:18: The 'outline-radius' property has been renamed to '-gtk-outline-radius'

(gnome-boxes:7671): Gtk-WARNING **: Theme parsing error: gtk-style.css:92:18: The 'outline-radius' property has been renamed to '-gtk-outline-radius'

** (gnome-boxes:7671): WARNING **: Using a file (/usr/share/gnome-boxes/gnome-boxes-logos-db.xml) as a database location is deprecated, use a directory instead
Error setting up default broker: Unable to open qemu+unix:///session: Failed to connect socket to '/run/user/1000/libvirt/libvirt-sock': No such file or directory
**
Boxes:ERROR:/home/zeenix/checkout/gnome/gnome-boxes/src/app.vala:433:boxes_app_setup_default_source_co: assertion failed: (default_connection != null)
Aborted (core dumped)

Comment 16 Mikhail 2016-12-07 17:26:46 UTC
I observe same problem:

[mikhail@localhost ~]$ gnome-boxes

(gnome-boxes:3892): Gtk-WARNING **: Theme parsing error: gtk-style.css:81:18: The 'outline-radius' property has been renamed to '-gtk-outline-radius'

(gnome-boxes:3892): Gtk-WARNING **: Theme parsing error: gtk-style.css:92:18: The 'outline-radius' property has been renamed to '-gtk-outline-radius'

** (gnome-boxes:3892): WARNING **: Using a file (/usr/share/gnome-boxes/gnome-boxes-logos-db.xml) as a database location is deprecated, use a directory instead
Error setting up default broker: Unable to open qemu+unix:///session: Failed to connect socket to '/run/user/1000/libvirt/libvirt-sock': No such file or directory
**
Boxes:ERROR:/home/zeenix/checkout/gnome/gnome-boxes/src/app.vala:433:boxes_app_setup_default_source_co: assertion failed: (default_connection != null)
Aborted (core dumped)


For reproduction problem I launch google-chrome before gnome-boxes which create high load on HDD.

Comment 17 Zeeshan Ali 2017-01-04 13:57:32 UTC
(In reply to Mikhail from comment #16)
> I observe same problem:
> 
> [mikhail@localhost ~]$ gnome-boxes
> 
> (gnome-boxes:3892): Gtk-WARNING **: Theme parsing error:
> gtk-style.css:81:18: The 'outline-radius' property has been renamed to
> '-gtk-outline-radius'
> 
> (gnome-boxes:3892): Gtk-WARNING **: Theme parsing error:
> gtk-style.css:92:18: The 'outline-radius' property has been renamed to
> '-gtk-outline-radius'
> 
> ** (gnome-boxes:3892): WARNING **: Using a file
> (/usr/share/gnome-boxes/gnome-boxes-logos-db.xml) as a database location is
> deprecated, use a directory instead
> Error setting up default broker: Unable to open qemu+unix:///session: Failed
> to connect socket to '/run/user/1000/libvirt/libvirt-sock': No such file or
> directory
> **
> Boxes:ERROR:/home/zeenix/checkout/gnome/gnome-boxes/src/app.vala:433:
> boxes_app_setup_default_source_co: assertion failed: (default_connection !=
> null)
> Aborted (core dumped)


Yeah something wrong with your libvirt setup/installation. Try this command (as normal user) and if it gets you the same errors, please re-assign to libvirt: `virsh list --all`.

Comment 18 Kai A. Hiller 2017-01-05 10:07:30 UTC
Similar problem has been detected:

Start gnome-boxes. A previous run which crashed might have corrupted the settings.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        gnome-boxes
crash_function: boxes_app_setup_default_source_co
executable:     /usr/bin/gnome-boxes
global_pid:     5793
kernel:         4.8.15-300.fc25.x86_64
package:        gnome-boxes-3.22.3-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         gnome-boxes killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 19 Kai A. Hiller 2017-01-05 10:36:53 UTC
(In reply to Zeeshan Ali from comment #17)
> (In reply to Mikhail from comment #16)
> > I observe same problem:
> > 
> > [mikhail@localhost ~]$ gnome-boxes
> > 
> > (gnome-boxes:3892): Gtk-WARNING **: Theme parsing error:
> > gtk-style.css:81:18: The 'outline-radius' property has been renamed to
> > '-gtk-outline-radius'
> > 
> > (gnome-boxes:3892): Gtk-WARNING **: Theme parsing error:
> > gtk-style.css:92:18: The 'outline-radius' property has been renamed to
> > '-gtk-outline-radius'
> > 
> > ** (gnome-boxes:3892): WARNING **: Using a file
> > (/usr/share/gnome-boxes/gnome-boxes-logos-db.xml) as a database location is
> > deprecated, use a directory instead
> > Error setting up default broker: Unable to open qemu+unix:///session: Failed
> > to connect socket to '/run/user/1000/libvirt/libvirt-sock': No such file or
> > directory
> > **
> > Boxes:ERROR:/home/zeenix/checkout/gnome/gnome-boxes/src/app.vala:433:
> > boxes_app_setup_default_source_co: assertion failed: (default_connection !=
> > null)
> > Aborted (core dumped)
> 
> 
> Yeah something wrong with your libvirt setup/installation. Try this command
> (as normal user) and if it gets you the same errors, please re-assign to
> libvirt: `virsh list --all`.

I get the same console output. Running your command yields the following:

$ virsh list --all
 Id    Name                           Status
----------------------------------------------------
 -     boxes-unknown                  ausschalten
 -     boxes-unknown-2                ausschalten

Comment 20 Zeeshan Ali 2017-01-05 10:45:39 UTC
(In reply to Kai A. Hiller from comment #19)
> (In reply to Zeeshan Ali from comment #17)
> > (In reply to Mikhail from comment #16)
> > > I observe same problem:
> > > 
> > > [mikhail@localhost ~]$ gnome-boxes
> > > 
> > > (gnome-boxes:3892): Gtk-WARNING **: Theme parsing error:
> > > gtk-style.css:81:18: The 'outline-radius' property has been renamed to
> > > '-gtk-outline-radius'
> > > 
> > > (gnome-boxes:3892): Gtk-WARNING **: Theme parsing error:
> > > gtk-style.css:92:18: The 'outline-radius' property has been renamed to
> > > '-gtk-outline-radius'
> > > 
> > > ** (gnome-boxes:3892): WARNING **: Using a file
> > > (/usr/share/gnome-boxes/gnome-boxes-logos-db.xml) as a database location is
> > > deprecated, use a directory instead
> > > Error setting up default broker: Unable to open qemu+unix:///session: Failed
> > > to connect socket to '/run/user/1000/libvirt/libvirt-sock': No such file or
> > > directory
> > > **
> > > Boxes:ERROR:/home/zeenix/checkout/gnome/gnome-boxes/src/app.vala:433:
> > > boxes_app_setup_default_source_co: assertion failed: (default_connection !=
> > > null)
> > > Aborted (core dumped)
> > 
> > 
> > Yeah something wrong with your libvirt setup/installation. Try this command
> > (as normal user) and if it gets you the same errors, please re-assign to
> > libvirt: `virsh list --all`.
> 
> I get the same console output. Running your command yields the following:
> 
> $ virsh list --all
>  Id    Name                           Status
> ----------------------------------------------------
>  -     boxes-unknown                  ausschalten
>  -     boxes-unknown-2                ausschalten

And Boxes gets the same issue and has the same errors still:

> Error setting up default broker: Unable to open qemu+unix:///session: Failed
> to connect socket to '/run/user/1000/libvirt/libvirt-sock': No such file or
> directory
> **

? Cause that is very strange that Boxes can't connect to session libvirt but virsh can.

Comment 21 Kai A. Hiller 2017-01-06 20:55:17 UTC
Similar problem has been detected:

Problem occured when starting gnome-boxes while HDD is under full load.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-boxes --gapplication-service
crash_function: boxes_app_setup_default_source_co
executable:     /usr/bin/gnome-boxes
global_pid:     22416
kernel:         4.8.15-300.fc25.x86_64
package:        gnome-boxes-3.22.3-1.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         gnome-boxes killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 22 Zeeshan Ali 2017-01-16 10:25:43 UTC
My question in comment#20 is still unanswered so please answer that before removing needinfo.

Comment 23 Zeeshan Ali 2017-02-07 09:41:28 UTC
*** Bug 1419031 has been marked as a duplicate of this bug. ***

Comment 24 Zdenek Chmelar 2017-04-27 08:58:28 UTC
I just executed "virsh list --all" command and got this error:

$ virsh list --all
error: failed to connect to the hypervisor
error: Failed to connect socket to '/run/user/1000/libvirt/libvirt-sock': No such file or directory


Right after that, I executed the same command again and got this:

$ virsh list --all
 Id    Name                           State
----------------------------------------------------
 -     boxes-unknown                  shut off
 -     boxes-unknown-2                shut off


Now, I tried to start Boxes but the window crashed during its start. I see following logs in journal

Apr 27 10:49:01 carbon dbus-daemon[2717]: [session uid=1000 pid=2717] Activating service name='org.gnome.Boxes' requested by ':1.23' (uid=1000 pid=2846 comm="/usr/bin/gnome-shell " label="unconfined_u:unconfined_
Apr 27 10:49:01 carbon dbus-daemon[2717]: [session uid=1000 pid=2717] Successfully activated service 'org.gnome.Boxes'
Apr 27 10:49:01 carbon gnome-boxes[1712]: Theme parsing error: gtk-style.css:81:18: The 'outline-radius' property has been renamed to '-gtk-outline-radius'
Apr 27 10:49:01 carbon gnome-boxes[1712]: Theme parsing error: gtk-style.css:92:18: The 'outline-radius' property has been renamed to '-gtk-outline-radius'
Apr 27 10:49:01 carbon dbus-daemon[1023]: [system] Activating via systemd: service name='org.freedesktop.hostname1' unit='dbus-org.freedesktop.hostname1.service' requested by ':1.486' (uid=1000 pid=1712 comm="/us
Apr 27 10:49:01 carbon systemd[1]: Starting Hostname Service...
Apr 27 10:49:01 carbon dbus-daemon[1023]: [system] Successfully activated service 'org.freedesktop.hostname1'
Apr 27 10:49:01 carbon systemd[1]: Started Hostname Service.
Apr 27 10:49:01 carbon audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-hostnamed comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr
Apr 27 10:49:01 carbon gnome-boxes[1712]: Using a file (/usr/share/gnome-boxes/gnome-boxes-logos-db.xml) as a database location is deprecated, use a directory instead
Apr 27 10:49:06 carbon org.gnome.Boxes[2717]: Error setting up default broker: Unable to open qemu+unix:///session: Failed to connect socket to '/run/user/1000/libvirt/libvirt-sock': No such file or directory
Apr 27 10:49:06 carbon org.gnome.Boxes[2717]: **
Apr 27 10:49:06 carbon org.gnome.Boxes[2717]: Boxes:ERROR:/home/fborges/checkout/gnome-boxes/src/app.vala:433:boxes_app_setup_default_source_co: assertion failed: (default_connection != null)
Apr 27 10:49:06 carbon audit[1712]: ANOM_ABEND auid=1000 uid=1000 gid=1000 ses=3 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 pid=1712 comm="gnome-boxes" exe="/usr/bin/gnome-boxes" sig=6
Apr 27 10:49:06 carbon systemd[1]: Started Process Core Dump (PID 1744/UID 0).
Apr 27 10:49:06 carbon audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-coredump@1-1744-0 comm="systemd" exe="/usr/lib/systemd/systemd" hostnam
Apr 27 10:49:06 carbon systemd-coredump[1745]: Core Dumping has been disabled for process 1712 (gnome-boxes).
Apr 27 10:49:06 carbon systemd-coredump[1745]: Process 1712 (gnome-boxes) of user 1000 dumped core.
Apr 27 10:49:06 carbon audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-coredump@1-1744-0 comm="systemd" exe="/usr/lib/systemd/systemd" hostname
Apr 27 10:49:31 carbon audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-hostnamed comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=

Second attempt to start Boxes ended successfully. This is the log from journal

Apr 27 10:54:54 carbon dbus-daemon[2717]: [session uid=1000 pid=2717] Activating service name='org.gnome.Boxes' requested by ':1.23' (uid=1000 pid=2846 comm="/usr/bin/gnome-shell " label="unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023")
Apr 27 10:54:54 carbon dbus-daemon[2717]: [session uid=1000 pid=2717] Successfully activated service 'org.gnome.Boxes'
Apr 27 10:54:54 carbon gnome-boxes[2760]: Theme parsing error: gtk-style.css:81:18: The 'outline-radius' property has been renamed to '-gtk-outline-radius'
Apr 27 10:54:54 carbon gnome-boxes[2760]: Theme parsing error: gtk-style.css:92:18: The 'outline-radius' property has been renamed to '-gtk-outline-radius'
Apr 27 10:54:54 carbon dbus-daemon[1023]: [system] Activating via systemd: service name='org.freedesktop.hostname1' unit='dbus-org.freedesktop.hostname1.service' requested by ':1.489' (uid=1000 pid=2760 comm="/usr/bin/gnome-boxes --gapplication-service " label="unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023")
Apr 27 10:54:54 carbon systemd[1]: Starting Hostname Service...
Apr 27 10:54:54 carbon dbus-daemon[1023]: [system] Successfully activated service 'org.freedesktop.hostname1'
Apr 27 10:54:54 carbon audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-hostnamed comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Apr 27 10:54:54 carbon systemd[1]: Started Hostname Service.
Apr 27 10:54:54 carbon gnome-boxes[2760]: Using a file (/usr/share/gnome-boxes/gnome-boxes-logos-db.xml) as a database location is deprecated, use a directory instead

Comment 25 hrafnkellbrimar 2017-07-20 09:29:11 UTC
This bug affects me too and is still present after upgrade (via dnf) to Fedora 26. gnome-boxes crashes consistently every time after initial launch, but launches successfully the next time after that.

Comment 26 Fedora End Of Life 2017-11-16 14:28:43 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 27 Fedora End Of Life 2017-12-12 10:30:34 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.